%global packname  caTools
%global Rversion 2.2.0

Name:             R-%{packname}
Version:          1.10
Release:          2%{?dist}
Summary:          Moving window statistics, GIF, Base64, ROC AUC, etc
Group:            Applications/Productivity
License:          GPLv3
URL:              http://cran.r-project.org/web/packages/caTools/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         R-core >= %{Rversion}
Requires:         R-core,  R-bitops
BuildRequires:    R-devel, R-bitops, tex(latex)

%description
Contains several basic utility functions including: moving (rolling, running) 
window statistic functions, read/write for GIF and ENVI binary files, fast 
calculation of AUC, LogitBoost classifier, base64 encoder/decoder, round-off 
error free sum and cumsum, etc.

%prep
%setup -c -q -n %{packname}
%build

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
# remove exec-bits
cd %{_builddir}/%{packname}/%{packname}/src
chmod -x *.c *.h *.cpp

%{__rm} -rf %{buildroot}%{_libdir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help/
%{_libdir}/R/library/%{packname}/libs/


%changelog
* Sat May 08 2010 josef radinger <cheese@nosuchhost.net>
- 1.10-2
- fix buildrequires

* Fri Apr 09 2010 josef radinger <cheese@nosuchhost.net>
- 1.10-1
- initial release
